Subject: bug#21620: closed (Re: bug#21620: tests/mpz/reuse intermittently fails on armhf-linux-gnu)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 02 Jun 2016 19:44:02 +0000

Your bug report

#21620: GMP 6.0.0a intermittent test failure on armhf

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21620: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21620
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21620: tests/mpz/reuse intermittently fails on armhf-linux-gnu
From: [email-masked] (Ludovic Courtès)
To: Andreas Enge <[email-masked]>
Cc: Mark H Weaver <[email-masked]>, [email-masked]
Date: Thu, 02 Jun 2016 21:43:23 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] (Ludovic Courtès) skribis:

> [email-masked] (Ludovic Courtès) skribis:
>
>> Andreas Enge <[email-masked]> skribis:
>>
>>> On Wed, Oct 07, 2015 at 10:32:43PM +0200, Ludovic Courtès wrote:
>>>> Do you think it’s a likely problem?  Andreas, could you try again on
>>>> your Novena with 2 cores turned off?
>>>
>>> I have trouble believing the explanation of overheating. The gmp test
>>> suite is carried out sequentially (they are not yet using the parallel
>>> test harness of the autotools). So one could only imagine that the build
>>> itself was faulty, but should then the test not fail consistently afterwards?
>>> If I understood correctly, you used one build and ran the same test
>>> over and over again. On the other hand, since the machine also serves as a
>>> build machine, it is possible that some other package was built at the same
>>> time as the tests were carried out, which may have contributed to heating.
>>
>> Yes.
>>
>> I think the only way to test the hypothesis is to turn off 2 processors
>> and run that test in a loop again, and/or to do that on a different
>> ARMv7 platform altogether.
>
> Did you have a chance to do that?  What can we conclude?

I don’t think we’ve had this problem again, which suggests that the
overheating hypothesis was right.

Closing!

Ludo’.

Subject: GMP 6.0.0a intermittent test failure on armhf
From: [email-masked] (Ludovic Courtès)
To: [email-masked]
Date: Mon, 05 Oct 2015 16:33:21 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

‘tests/mpz/reuse’ intermittently fails on armhf:

  http://hydra.gnu.org/build/704686/nixlog/1/raw

Running this program in a loop easily reproduces the problem, but not
deterministically (different parts fail.)

Ludo’.